Bug 837496 - ntpd not keeping hardware clock in sync
ntpd not keeping hardware clock in sync
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 02:19 EDT by Jordan Russell
Modified: 2013-08-01 13:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:21:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2012-07-04 02:19:14 EDT
Description of problem:
Since upgrading from Fedora 15 to 16, I've found that my system's hardware clock is no longer being kept in sync with the system time as maintained by ntpd.

After a month of running Fedora 16, the hardware clock has drifted by 20 seconds. Consequently, every time I reboot, the system time is initially off by 20 seconds until ntpdate and ntpd start (I run both) and correct it.

Syncing the hardware clock manually with "hwclock --systohc" works, but I shouldn't have to do that. Per the hwclock manual, ntpd is supposed to tell the kernel to sync the clock every 11 minutes, but evidently that isn't working. (ntpd does log "kernel time sync enabled" during startup.)

Version-Release number of selected component (if applicable):
ntp-4.2.6p4-1.fc16

Steps to Reproduce:
1. Confirm ntpd is running and in clock_sync state
2. Run "date; hwclock" and compare the results
  
Actual results:
hwclock off by 20 seconds in my case

Expected results:
hwclock in sync
Comment 1 Miroslav Lichvar 2012-08-06 13:27:52 EDT
You can verify ntpd sets the kernel bit with ntptime, there shouldn't be UNSYNC in the status field.

I think it's a problem in the kernel, there were other reports similar to this.
Comment 2 Josh Boyer 2012-09-06 10:14:35 EDT
Is this still happening with the 3.4/3.5 kernels?
Comment 3 Dave Jones 2012-10-23 11:29:18 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-13 10:43:20 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 5 Jordan Russell 2013-02-27 23:50:26 EST
Sorry for the lack of followup before.

The same problem still exists on Fedora 17 with kernel-PAE-3.7.3-101.fc17.i686

I see 1-2 seconds-per-day drift on two systems with different hardware (both running i686.PAE). No special NTP configuration settings are needed to reproduce; simply run "hwclock; date" and observe that the times are not in sync.
Comment 6 Fedora End Of Life 2013-07-04 02:00:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:21:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.